#!/bin/sh

##########################################################################
# This script uses inkscape to convert SVG files with inkscape tags into #
# SVG files that do not have any inkscape-specific tags (plain SVG)      #
##########################################################################

echo "Cleaning-up SVG files"
#Prevent inkscape from opening a window (faster)
export DISPLAY=
cd svg-inkscape
for f in `find -iname '*.svg'`
do
  echo " -- Processing $f"
  DIRNAME=`dirname $f`
  FILENAME=`basename $f`
  OUT_FILE="../svg-plain/$DIRNAME/$FILENAME"
  mkdir -p "../svg-plain/$DIRNAME"
  inkscape \
    --export-overwrite \
    --export-type=svg \
    --export-plain-svg \
    -o "$OUT_FILE" \
    "$f"
done
cd ..
